Package org.eclipse.mat.snapshot

# Class MultipleSnapshotsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.mat.SnapshotException
org.eclipse.mat.snapshot.MultipleSnapshotsException

All Implemented Interfaces:
  `Serializable`

public class MultipleSnapshotsException extends SnapshotException
Multiple snapshots found in a dump when no particular dump has been requested. Experimental - the form and name of this class is subject to change Not an API.

Since:
  1.3
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MultipleSnapshotsException.Context`
Experimental - the form and name of this class is subject to change

## Constructor Summary

Constructors
Constructor
Description
`MultipleSnapshotsException()`
`MultipleSnapshotsException(String msg)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addContext(MultipleSnapshotsException.Context runtime)`
`List<MultipleSnapshotsException.Context>`
`getRuntimes()`

### Methods inherited from class org.eclipse.mat.SnapshotException

`rethrow`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MultipleSnapshotsException

public MultipleSnapshotsException()

### MultipleSnapshotsException

public MultipleSnapshotsException(String msg)

## Method Details

### getRuntimes

public List<MultipleSnapshotsException.Context> getRuntimes()

### addContext

public void addContext(MultipleSnapshotsException.Context runtime)